/**
 * 
 */
package org.jim.common.packets;

import java.util.List;

/**
 * 版本: [1.0]
 * 功能说明: 
 * 作者: WChao 创建时间: 2017年9月21日 下午1:54:04
 */
public class Group extends Message{
	
	private static final long serialVersionUID = -3817755433171220952L;

	/**
	 * 群租id
	 */
	private String group_id;

	/**
	 * 群组名称;
	 */
	private String name;

	/**
	 * 群组头像;
	 */
	private String avatar;

	/**
	 * 在线人数;
	 */
	private Integer online;

	/**
	 * 组用户;
	 */
	private List<User> users;

	/**
	 * sw_service_account_role_department_middle 表主键id
	 */
	private String serviceAccountRoleDepartmentId;

	/**
	 * 游客(visitorDepartmentId) 或者 客户(customerDepartmentId)
	 */
	private String consumerId;

	/**
	 * 群组类型 0:游客-客服 类型 1:客户-客服 类型
	 */
	private Integer groupType;

	/**
	 * 平台id
	 */
	private String companyId;

	/**
	 * 部门id
	 */
	private String departmentId;

	public Group(){}
	public Group(String group_id , String name){
		this.group_id = group_id;
		this.name = name;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getServiceAccountRoleDepartmentId() {
		return serviceAccountRoleDepartmentId;
	}

	public void setServiceAccountRoleDepartmentId(String serviceAccountRoleDepartmentId) {
		this.serviceAccountRoleDepartmentId = serviceAccountRoleDepartmentId;
	}

	public String getConsumerId() {
		return consumerId;
	}

	public void setConsumerId(String consumerId) {
		this.consumerId = consumerId;
	}

	public Integer getGroupType() {
		return groupType;
	}

	public void setGroupType(Integer groupType) {
		this.groupType = groupType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public String getAvatar() {
		return avatar;
	}
	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}
	public Integer getOnline() {
		return online;
	}
	public void setOnline(Integer online) {
		this.online = online;
	}
	public List<User> getUsers() {
		return users;
	}
	public void setUsers(List<User> users) {
		this.users = users;
	}
	public String getGroup_id() {
		return group_id;
	}
	public void setGroup_id(String group_id) {
		this.group_id = group_id;
	}
}
